ARunGuard(3)

NAME
ARunGuard - The RunGuard class ensures only a single instance of the application is running simultaneously.

SYNOPSIS

#include <arunguard.h>

  Public Member Functions
ARunGuard (const QString &key)
bool isAnotherRunning ()
bool tryToRun ()
void release ()

Detailed Description

The RunGuard class ensures only a single instance of the application is running simultaneously.

Author

Generated automatically by Doxygen for openPilotLog from the source code.